This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501836 - Kerneloops high CPU usage
Kerneloops high CPU usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kerneloops (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 18:41 EDT by bobpoljakov
Modified: 2011-12-13 17:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
My Smolt profile (72 bytes, text/plain)
2009-05-20 18:41 EDT, bobpoljakov
no flags Details
strace results (20.00 KB, text/plain)
2009-09-16 18:33 EDT, Tim McConnell
no flags Details

  None (edit)
Description bobpoljakov 2009-05-20 18:41:26 EDT
Created attachment 344897 [details]
My Smolt profile

Description of problem:
kerneloops process uses ~90% CPU


Version-Release number of selected component (if applicable):
kerneloops.i586 0:0.12-5.fc11

How reproducible:
always after startup


Steps to Reproduce:
1.boot up
2.check processes with top or listen to the sound of the CPU cooler...
3.
  
Actual results:
kerneloops eats CPU


Expected results:
kerneloops NOT eats CPU


Additional info:
Comment 1 Chuck Ebbert 2009-06-07 21:38:08 EDT
How big is your system log file? (/var/log/messages)
Comment 2 bobpoljakov 2009-06-08 06:12:41 EDT
That log is huge because now it's full of drm error messages. I don't know how big it was when I reported the bug and I removed kerneloops. But maybe the size of the log was the cause.
Comment 3 Bug Zapper 2009-06-09 12:12:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 markm 2009-06-14 10:22:04 EDT
I have the same issue on one of my laptops. After log in kerneloops CPU usage goes up to 100%.

removing kerneloops applet from session might help, but when switching to another user fires up it again and cpu goes up again :)
Comment 5 Michel Alexandre Salim 2009-08-11 14:56:36 EDT
More information here:
http://forums.fedoraforum.org/showthread.php?t=225774

This starts occuring on one of my computer after upgrading to Rawhide -- exact same problem, with drm_wait_vblank.
Comment 6 Tim McConnell 2009-09-12 14:28:43 EDT
This happened with me also, killing kerneloops' process and removing the messages file made the issue stop happening.
See http://forums.fedoraforum.org/showthread.php?p=1264229#post1264229
for current status. If kerneloops acts up again I will see if strace can get anything.
Comment 7 Tim McConnell 2009-09-16 18:31:46 EDT
Kerneloops had another tantrum got strace of the issue this time. I am attaching it to this bug. hope it helps.
Comment 8 Tim McConnell 2009-09-16 18:33:05 EDT
Created attachment 361389 [details]
strace results 

ran strace while kerneloops was hogging the cpu's
Comment 9 Bug Zapper 2010-04-27 10:26:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:37:59 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.